Eclipse BIRT Report Object Model (ROM)

CascadingParameterGroup Element

# Element Overview

Visual grouping of report cascading parameters.

### Details

Display Name: | Cascading Parameter Group
Since: | 2.0
XML Element: | `cascading-parameter-group`
Extends: | ParameterGroup
Extendable: | Yes
Abstract: | No
Name Space: | Parameters
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

dataSet
  The name of the data set that provides data for the dynamic parameters within the group.
dataSetMode

### Slot Summary

parameters
  The set of parameters that appear inside the cascading parameter group.

### Inherited Properties

comments, customXml, displayName, displayNameID, eventHandlerClass, extends, helpText, helpTextID, name, newHandlerOnEachEvent, promptText, promptTextID, propertyMasks, startExpanded, userProperties, viewAction

### Description

A parameter group creates a visual grouping of dynamic parameters, value of a paticular parameter depends on the value of some other value. These parameters within the group are called cascading parameters.

The developer controls the order that parameters appear in the group. The values of of the cascading parameters will be displayed as dynamically populated lists, and they will be displayed in the same order in which they are defined in the group.

The parameters in the cascading parameter group share a same data set.

# Property Detail

## dataSet Property

The name of the data set that provides data for the dynamic parameters within the group.

### Details

Type: | DataSet Reference
Since: | 2.0
Required: | No
Display Name: | Data set
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Description

The name of the data set that provides data for the dynamic parameters within the group. Parameters in a cascading parameter group share a same data set.

## dataSetMode Property

### Details

Type: | choice (dataSetMode)
Since: | 2.1
Required: | No
Display Name: | Single or multiple data sets
JavaScript Type: |
Default Value: | single
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
single | Single data set | single |
multiple | Multiple data set | multiple |

# Slot Detail

## parameters Slot

The set of parameters that appear inside the cascading parameter group.

### Details

Display Name: | Parameters
Since: | 2.0
XML Element: | `parameters`
Contents: | List of ScalarParameter

### Description

The set of parameters that appear inside the cascading parameter group. Each parameter is a "dynamic" type, the available values of the parameter is data-driven. UI should ignore an empty group. Parameters appear in the UI in the same order that they are defined in the group.